Architecting, installing and maintaining your SAS environment

SAS-Hadoop Installation Error

Accepted Solution Solved
Reply
Frequent Contributor
Posts: 126
Accepted Solution

SAS-Hadoop Installation Error

Please advise.....When I start HDFS services (without Kerberos) its throw below error. Iam installation hadoop on linux env.

 

[hdfs@sastest01 ~]$ $HADOOP_HOME/sbin/start-dfs.sh
17/03/21 16:48:30 WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable
Starting namenodes on [sastest01.s.xxxx.xx]
sastest01.s.xxxx.xx: starting namenode, logging to /opt/sas/hadoop/hadoop-2.4.0/logs/hdfs/hadoop-hdfs-namenode-sastest01.s.xxxx.xx.out
sastest04.s.xxxx.xx: starting datanode, logging to /opt/sas/hadoop/hadoop-2.4.0/logs/hdfs/hadoop-hdfs-datanode-sastest04.s.xxxx.xx.out
sastest02.s.xxxx.xx: starting datanode, logging to /opt/sas/hadoop/hadoop-2.4.0/logs/hdfs/hadoop-hdfs-datanode-sastest02.s.xxxx.xx.out
sastest03.s.xxxx.xx: starting datanode, logging to /opt/sas/hadoop/hadoop-2.4.0/logs/hdfs/hadoop-hdfs-datanode-sastest03.s.xxxx.xx.out
Starting secondary namenodes [0.0.0.0]
0.0.0.0: starting secondarynamenode, logging to /opt/sas/hadoop/hadoop-2.4.0/logs/hdfs/hadoop-hdfs-secondarynamenode-sastest01.s.xxxx.xx.out
17/03/21 16:48:49 WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable


Accepted Solutions
Solution
‎03-22-2017 01:40 PM
SAS Employee
Posts: 101

Re: SAS-Hadoop Installation Error

if you're reffering to 

" WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable" That's an expected message unless you've setup the native libraries. https://hadoop.apache.org/docs/current/hadoop-project-dist/hadoop-common/NativeLibraries.html

 

Hadoop should still be functional. 

View solution in original post


All Replies
Solution
‎03-22-2017 01:40 PM
SAS Employee
Posts: 101

Re: SAS-Hadoop Installation Error

if you're reffering to 

" WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable" That's an expected message unless you've setup the native libraries. https://hadoop.apache.org/docs/current/hadoop-project-dist/hadoop-common/NativeLibraries.html

 

Hadoop should still be functional. 

☑ This topic is solved.

Need further help from the community? Please ask a new question.

Discussion stats
  • 1 reply
  • 179 views
  • 0 likes
  • 2 in conversation